Subject: bug#73455: closed (Re: bug#73455: 30.0.91: find buffer pretty print columns don't line up on 1080p)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 05 Oct 2024 10:18:02 +0000

Your bug report

#73455: 30.0.91: find buffer pretty print columns don't line up on 1080p

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73455: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73455
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#73455: 30.0.91: find buffer pretty print columns don't line up on 1080p
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Sat, 05 Oct 2024 13:17:14 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked], [email-masked]
> Date: Thu, 26 Sep 2024 17:11:18 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Van Ly <[email-masked]>
> > Cc: [email-masked], [email-masked]
> > Date: Thu, 26 Sep 2024 13:20:31 +0000
> > 
> > 
> > Eli Zaretskii <[email-masked]> writes:
> > 
> > >> From: Stefan Kangas <[email-masked]>
> > >> Date: Wed, 25 Sep 2024 10:24:32 -0700
> > >> Cc: [email-masked]
> > >> 
> > >> Eli Zaretskii <[email-masked]> writes:
> > >> 
> > >> > If you set the value of find-program to "gfind", I think you should be
> > >> > able to add only /usr/pkg/bin to PATH, and that should not override
> > >> > the original "find", "make", etc.
> > >> 
> > >> Would it be worth considering doing the same as we did for
> > >> `insert-directory-program`, i.e. the below?  I'm not sure if this would
> > >> be considered too opinionated for people that are very used to a BSD
> > >> userland.
> > >
> > > I'm not sure.  find-program is used in many places, most of them
> > > unrelated to alignment in "find ... -ls", so we are basically skewing
> > > everything for a single not very frequent case.  Why not leave that to
> > > users instead?
> > >
> > 
> > Perhaps BSD userland package maintainers will roll in and configure the
> > GNU Findutils option.  Maybe FAQ documentation to help the maintainer or
> > BSD user is enough.  Dired mode hints when the ls command doesn't handle
> > the dired switch option.  If the apropos-command could have a way to
> > find the find-program variable that will help the end-user.  The
> > describe-variable command will auto-complete "find" or "program" to
> > "find-program", could describe-variable dump a listing like
> > apropos-command?
> 
> I already added to the doc string of find-dired a recommendation to
> install GNU Find and the reference to `find-program'.

No further comments, so I'm now closing this bug.

Subject: 30.0.91: find buffer pretty print columns don't line up on 1080p
From: Van Ly <[email-masked]>
To: [email-masked]
Date: Tue, 24 Sep 2024 15:27:55 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

The pretty print in the find buffer doesn't line up the columns, see

 => https://sdf.org/~van.ly/img/emacs-30-0-91-pretest-find-buffer.jpeg

To reproduce on 1080p display, do

 1. emacs -Q
 2. apply, M-x find-name-dired RET
 3. target at a srcdir like NetBSD-10 and toggle fullscreen

Expect to see columns line up in pretty print.

-- 
vl